
import {
	createContract,
	checkContractType,
	isAddress,
	getUserAddress,
	getNativeBalance,
	getChainId,
	isContractWNFTFromChain,
} from './common';
import {
	getDefaultWeb3,
	connectSilent,
	connect,
	disconnect,
	requestChainChange,
	walletStateListener,
} from './web3provider';
import {
	getERC20ParamsFromChain,
	getERC20BalanceFromChain,
	makeERC20Allowance,
	makeERC20AllowanceMultisig,
} from './erc20';
import {
	getBalanceERC1155,
	getBalanceBatchERC1155,
	checkApprovalERC1155,
	setApprovalERC1155,
	transferERC1155,
	getERC1155ByIdFromChain,
	getBalanceERC721,
	checkApprovalERC721,
	checkApprovalForAllERC721,
	setApprovalForAllERC721,
	setApprovalERC721,
	UNSAFE_getERC721sOfContractFromChain,
	getERC721ByIdFromChain,
	transferERC721,
	mintERC721,
	getContractNameERC1155,
	getContractNameERC721,
	setApprovalERC1155Multisig,
	transferERC1155Multisig,
	setApprovalForAllERC721Multisig,
	setApprovalERC721Multisig,
	transferERC721Multisig,
	mintERC721Multisig,
} from './nft';
import {
	getWNFTsOfContractFromChain721,
	getWNFTsOfContractFromChain721Batch,
	getBalance721FromChain,
	getBalance1155FromChain,
	getWNFTByIdFromChain,
	addValueToWNFT,
	getWNFTv0TransferModel,
	getWNFTWrapperContract,
	getWrapperTechToken,
	transferWNFT,
	getMaxCollateralSlots,
	getWrapperOfBatchWorker,
	transferWNFTMultisig,
	addValueToWNFTMultisig,
} from './wnft';

import {
	getTariffsForService,
	getPriceWithFee,
	getUserTicketForService,
	getRegistryOfService,
	canUseService,
	buySubscription,
	buySubscriptionMultisig,
} from './subscription';

export {
	createContract,
	checkContractType,
	isAddress,
	getUserAddress,
	getNativeBalance,
	getChainId,
	isContractWNFTFromChain,

	getDefaultWeb3,
	connectSilent,
	connect,
	disconnect,
	requestChainChange,
	walletStateListener,

	getERC20ParamsFromChain,
	getERC20BalanceFromChain,
	makeERC20Allowance,
	makeERC20AllowanceMultisig,

	getBalanceERC1155,
	getBalanceBatchERC1155,
	checkApprovalERC1155,
	setApprovalERC1155,
	transferERC1155,
	getERC1155ByIdFromChain,
	getBalanceERC721,
	checkApprovalERC721,
	checkApprovalForAllERC721,
	setApprovalForAllERC721,
	setApprovalERC721,
	UNSAFE_getERC721sOfContractFromChain,
	getERC721ByIdFromChain,
	transferERC721,
	mintERC721,
	getContractNameERC1155,
	getContractNameERC721,
	setApprovalERC1155Multisig,
	transferERC1155Multisig,
	setApprovalForAllERC721Multisig,
	setApprovalERC721Multisig,
	transferERC721Multisig,
	mintERC721Multisig,

	getWNFTsOfContractFromChain721,
	getWNFTsOfContractFromChain721Batch,
	getBalance721FromChain,
	getBalance1155FromChain,
	getWNFTByIdFromChain,
	addValueToWNFT,
	getWNFTv0TransferModel,
	getWNFTWrapperContract,
	getWrapperTechToken,
	transferWNFT,
	getMaxCollateralSlots,
	getWrapperOfBatchWorker,
	transferWNFTMultisig,
	addValueToWNFTMultisig,

	getTariffsForService,
	getPriceWithFee,
	getUserTicketForService,
	getRegistryOfService,
	canUseService,
	buySubscription,
	buySubscriptionMultisig,
}